Bug 223240 - databases/arangodb32: ArangoDB 3.2 FreeBSD port (NEW)
Summary: databases/arangodb32: ArangoDB 3.2 FreeBSD port (NEW)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-25 16:24 UTC by dev
Modified: 2017-11-23 11:09 UTC (History)
2 users (show)

See Also:


Attachments
New ArangoDB port files (446.86 KB, patch)
2017-10-25 16:24 UTC, dev
no flags Details | Diff
Better patch (444.78 KB, patch)
2017-10-25 23:16 UTC, dev
no flags Details | Diff
3.2.8 patch with all reviewer comments addressed (346.46 KB, patch)
2017-11-21 15:11 UTC, dev
no flags Details | Diff
Fix 10.x and i386 builds (5.60 KB, patch)
2017-11-23 11:09 UTC, dev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dev 2017-10-25 16:24:09 UTC
Created attachment 187467 [details]
New ArangoDB port files

This is a FreeBSD port of ArangoDB 3.2.5-2. ArangoDB is a production ready highly available Multi-Model NoSQL database
Comment 1 dev 2017-10-25 23:16:26 UTC
Created attachment 187477 [details]
Better patch
Comment 2 dev 2017-11-21 15:11:55 UTC
Created attachment 188159 [details]
3.2.8 patch with all reviewer comments addressed
Comment 3 commit-hook freebsd_committer 2017-11-21 15:48:24 UTC
A commit references this bug:

Author: lifanov
Date: Tue Nov 21 15:47:55 UTC 2017
New revision: 454616
URL: https://svnweb.freebsd.org/changeset/ports/454616

Log:
  new port: databases/arangodb32

  ArangoDB is a production ready highly available Multi-Model NoSQL database

  PR:		223240
  Submitted by:	dev@dudu.ro
  Differential Revision:	https://reviews.freebsd.org/D12793

Changes:
  head/GIDs
  head/UIDs
  head/databases/Makefile
  head/databases/arangodb32/
  head/databases/arangodb32/Makefile
  head/databases/arangodb32/distinfo
  head/databases/arangodb32/files/
  head/databases/arangodb32/files/arangod.in
  head/databases/arangodb32/files/patch-CMakeLists.txt
  head/databases/arangodb32/files/patch-arangod_Agency_Store.cpp
  head/databases/arangodb32/files/patch-arangod_RestHandler_RestAuthHandler.cpp
  head/databases/arangodb32/files/patch-cmake_ArangoDBInstall.cmake
  head/databases/arangodb32/files/patch-lib_Basics_process-utils.cpp
  head/databases/arangodb32/files/patch-lib_Basics_socket-utils.h
  head/databases/arangodb32/files/patch-lib_Logger_LogAppenderSyslog.cpp
  head/databases/arangodb32/pkg-descr
  head/databases/arangodb32/pkg-plist
Comment 4 Nikolai Lifanov freebsd_committer 2017-11-21 15:52:44 UTC
Committed, thanks!

What's your name? I need to add you to this file:
https://www.freebsd.org/doc/en_US.ISO8859-1/articles/contributors/contrib-additional.html

Also, you can CC me directly on future Bugzilla issues and I'll take them if I have time.
Comment 5 dev 2017-11-21 15:58:03 UTC
Thanks, much appreciated! I'm already on that list, I submitted a few ports ages ago.
Comment 6 Nikolai Lifanov freebsd_committer 2017-11-21 16:07:31 UTC
OK, cool!
Comment 7 dev 2017-11-23 11:09:00 UTC
Created attachment 188211 [details]
Fix 10.x and i386 builds

This fixes the build on i386. It should also fix 10.3 builds, both i386 and amd64.